Bug 976092 - cp2k-2.4 bundles ELPA eigensolver library
cp2k-2.4 bundles ELPA eigensolver library
Status: CLOSED CURRENTRELEASE
Product: Fedora EPEL
Classification: Fedora
Component: cp2k (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dominik 'Rathann' Mierzejewski
Fedora Extras Quality Assurance
:
Depends On: elpa
Blocks: DuplicSysLibsTracker
  Show dependency treegraph
 
Reported: 2013-06-19 17:28 EDT by Dominik 'Rathann' Mierzejewski
Modified: 2015-02-21 18:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-21 18:11:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dominik 'Rathann' Mierzejewski 2013-06-19 17:28:58 EDT
Description of problem:
cp2k-2.4 bundles the ELPA eigensolver library in src/elpa_lib.

Version-Release number of selected component (if applicable):
2.4-2.fc20

Additional info:
The bundled ELPA library is licensed under a modified LGPLv3 licence, which upstream has supposedly replaced with plain LGPLv3 already:
http://groups.google.com/group/cp2k/msg/01e00cf923eca0ed

ELPA upstream doesn't publish the source code on their website, however it's available upon request:
http://elpa.rzg.mpg.de/software
Comment 1 Fedora End Of Life 2013-09-16 10:13:19 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 2 Dominik 'Rathann' Mierzejewski 2014-10-12 18:19:36 EDT
Only relevant for F19. F20 is being updated.
Comment 3 Fedora End Of Life 2015-01-09 17:09:56 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Dominik 'Rathann' Mierzejewski 2015-01-14 17:35:36 EST
Reassigning to EL6, where it's still relevant.
Comment 5 Dominik 'Rathann' Mierzejewski 2015-02-21 18:11:47 EST
Upon closer inspection of the current 2.4 branch source, ELPA source is not bundled there, so closing.

Note You need to log in before you can comment on or make changes to this bug.